nvmlPSUInfo_t(3)

NAME
nvmlPSUInfo_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

char state [256]
The power supply state.
unsigned int current
PSU current (A).
unsigned int voltage
PSU voltage (V).
unsigned int power
PSU power draw (W).

Detailed Description

Power usage information for an S-class unit. The power supply state is a human readable string that equals 'Normal' or contains a combination of 'Abnormal' plus one or more of the following:

•   High voltage

•   Fan failure

•   Heatsink temperature

•   Current limit

•   Voltage below UV alarm threshold

•   Low-voltage

•   SI2C remote off command

•   MOD_DISABLE input

•   Short pin transition

Author

Generated automatically by Doxygen for NVML from the source code.